                          System Configuration Utility Release Notes
                          Copyright (c) 2003-2007 Intel Corporation
                                       All Rights Reserved
                                       October 24, 2007



The Save and Restore System Configuration utility (syscfg) is used for saving and restoring Firmware and BIOS settings to a binary file, and for configuring Firmware and BIOS settings via a command line interface.

RELEASE NOTES FOR THE SYSCFG UTILITY VERSION 4.0.2 BUILD 12

A. CHANGES SINCE PREVIOUS VERSION

   N/A

B. DEPENDENCIES

1. Supported on S5000, S5400, S3000, S3200, X38MLST and S7000 platform        
    series.
2. BIOS Version: R70 and above for S5000, R33 and above for S3000 platform         
series, R12 and above for S7000 platform series and R12 and above for S5400 platform series, R13 and above for S3200 series, R20 and above for X38MLST platform series.
3. BMC version: BMC 56 or above for S5000, BMC 10 or above for S7000   
platform series, BMC 21 and above for S3200 platform series, BMC 09 and above for X38MLST platform series and BMC 04 and above for S5400 platform series. 
4. IPMI 2.0 compliant ESB2 BMC and IBMC compliant for S3200 and   
    X38MLST platform series.
5. Operating Systems supported.

        	a. WinPE version 2005 (Released with Microsoft Windows Server 2003(x86),
                Service Pack 1 [SP1] and Windows XP(x86), Service Pack 2 [SP2]) with IPMI    
                driver installed.

        	b. Win2k3 32bit.
           
       	c. EFI 1.10 shell

        	   ?Environment variable SYSCFG_PATH should be set to the directory 
             	   where syscfg is copied.

       	d. Red Hat Enterprise Linux server 5 (32 bit)
        	e. Red Hat Enterprise Linux server 5 em64T.
        	f. SUSE Linux Enterprise Server 10 (32 bit)
        	g. SUSE Linux Enterprise Server 10 em64T.
        	h. Red Hat Enterprise Linux 4 (on x86_64 kernel 2.6.9 version)
        	i. Red Hat Enterprise Linux 4 (32 bit)
                         

C. HOW TO USE THIS UTILITY

  	1. WINPE/Windows 2003 

      		  a. Unzip the "syscfg-win32.zip" (32 bit), file into a folder on your hard drive. (e.g. c:\syscfg)

	The syscfg directory will have the following files.
	?syscfg.exe
     	?SetupIMB.exe
      	?win2kinstall.exe
      	?Win2kUninstall.exe
	?variable.sys
	?imbdrv.sys
	?ReleaseNotes.txt
	?EfiVar.dll
	?imbapi.dll
	?biosconfig.dll
	?BootDevice.dll
	?fwadvcfg.dll
	?lanconfig.dll
	?msvcp71.dll
	?msvcr71.dll
	?pefconfig.dll
	?powerconfig.dll
	?userconfig.dll
	?serialconfig.dll
	?Smbios.dll
	?solconfig.dll
	?systemconfig.dll
        	?SMBusOkHook.dll
        	?imbapi.lib
        	?imbdrv.cat
        	?IMBDrv.inf
	?enus\biosconfig\str\bioscfg.str
	?enus\bootdevice\str\bootdev.str
	?enus\fwadvcfg\str\fwadvcfg.str
	?enus\lanconfig\str\lancfg.str
	?enus\pefconfig\str\pefcfg.str
	?enus\powerconfig\str\powercfg.str
	?enus\serialconfig\str\sercfg.str
	?enus\solconfig\str\solcfg.str
	?enus\syscfg\help\HelpMBmc.str
	?enus\syscfg\help\HelpBmc.str
	?enus\syscfg\str\syscfg.str
	?enus\systemconfig\str\system.str
	?enus\userconfig\str\usercfg.str

        The syscfg utility requires IMBdriver to be installed as a pre-requisite. 

        To install IMBdriver:
	
	1. Go to the command prompt.
	2. Change directory to the path where syscfg package is present.
	3. Run the following command.

        install.cmd [Full path where syscfg utility is present.]

        The IMBdriver driver installation is not needed 
        if the customized WinPE CD, containing the Intel drivers is used.

        b. Open a command prompt and change to the directory (e.g. cd c:\syscfg).

        c. You may now run the utility as described in section 5.
	     Syntax:  syscfg [/option(s) [arguments]]

        d. To uninstall SYSCFG run the following commands manually
	
   	?Delete the contents of the directory where the utility is installed.

  2. EFI

        a. Boot into EFI and copy the following files:

	?systemconfig.efi
	?BootDevice.efi
	?fwadvcfg.efi
	?syscfg.efi
	?solconfig.efi
	?serialconfig.efi
	?ipmi.efi
	?powerconfig.efi
	?lanconfig.efi
	?pefconfig.efi
	?userconfig.efi
	?powercfg.str
	?lancfg.str
	?sercfg.str
	?HelpMbmc.str
	?HelpBmc.str
	?fwadvcfg.str
	?syscfg.str
	?systemcfg.str
	?bootdev.str
	?usercfg.str
	?pefcfg.str
      	?ReleaseNotes.txt

        b. Set the syscfg path variable SYSCFG_PATH. e.g:- set SYSCFG_PATH  fs0:\syscfg_efi where  
syscfg_efi is the folder containing all the files mentioned in Section 3.a.

        c. Run 'syscfg' commands from the location where the files are copied as described in Section 5.


        d. To uninstall SYSCFG run the following commands manually
	
   	?Delete the contents of the directory where the utility is installed.
 
  3. Linux

        a. Boot into Linux unzip the "syscfg-linux.zip",file into a folder on 
           your hard drive. (e.g. c:\syscfg)

	The syscfg directory will have the following files.

	?installme
	?syscfg-3.0.2-4.x86_64.rpm
	?smi-2.0.2-1.x86_64.rpm
	?ReleaseNotes.txt
        	?smi.c
        	?smi.h
        	?Makefile-2.4
        	?Makefile-2.6

        b. Run the 'installme' script to install the 'syscfg' and 'smi' rpms.

        c. The SYSCFG utility will get installed in the path /usr/local/syscfg

        d. To uninstall SYSCFG run the following commands manually
	     ?rpm -e syscfg 
	     ?rpm -e smi


	
  4. Command line Interface
     
                  
      4.1 General
    
          4.1.1 Overall Help	
    	  
              /help or /h or /?
    
              Example: syscfg /h
         
          4.1.2 Specific Help
    
              /help [component]
	      The supported components are lan, user, serial, pef, sol, power,
              channel, advancedfwcfg bios and biossettings. If no component is specified, all help is  
displayed.	
    
              Example: syscfg /? lan
         
          4.1.3 Information Switch
       
              /i [FileName](optional)
    
    	      Example: syscfg /i syscfg.scf
    
       4.2 Save configuration to a binary file.
    
          /save or /s
    	  Format: syscfg /s [Filename](optional) [/f][/b] 
          Example: syscfg /s 
          		   syscfg /s "filename" 
            	   syscfg /s "filename" /b
            	   
       4.3 Restore configuration from a binary file.
    
          /restore or /r
    
          Format: syscfg /r "/f" and/or "/b"
          Example: syscfg /r [Filename](optional) /f
          	       syscfg /r [Filename](optional) /f /b 
    
       4.4 Display Interface commands
  
           a. Displaying Channel Configuration  
	      
              /d channel

	      Format: syscfg /d channel "channel ID"
	      Example: syscfg /d channel 1

	   b. Displaying LAN Configuration 

	      /d LAN 

	      Format: syscfg /d LAN "channel ID" "LAN Alert Destination Index"
	      Example: syscfg /d LAN 1 2

	   c. Displaying Serial/Modem Configuration 
	     
              /d serial

	      Format: syscfg /d serial "channel ID" "Dial String Index" 
				"Page Destination Selector" "Dial String Selector"  
	      Example: syscfg /d serial 1 2 3 4 
	
	   d. Displaying PEF Configuration 

	      /d pef

	      Format: syscfg /d pef "filter table index" "policy table index"
	      Example: syscfg /d pef 1 2

	   e. Displaying SOL Configuration 
		
	      /d sol

	      Format: syscfg /d sol "channel ID"	
	      Example: syscfg /d sol 1 

	   f. Displaying User Configuration 	

	      /d user
		
	      Format: syscfg /d user "User ID" "Channel ID"
	      Example: syscfg /d user 1 1

	   g. Displaying Power Configuration 

	      /d power 
		
	      Format: syscfg /d power 	
	      Example: syscfg /d power 

		 
	   h. Displaying Advanced Firmware Settings 	
	
	      /d fwadvcfg 

	      Format: syscfg /d fwadvcfg "Channel ID" "User ID" "SMTP Configuration Index"
	      Example: syscfg /d fwadvcfg 1 2 3
		 
	   i. Displaying BIOS settings 

	      /d bios 

	      Format: syscfg /d bios 
	      Example: syscfg /d bios

           j.  Display BIOS settings (Advanced option)

              /d biossettings 

	      Format: syscfg /d biossettings "setting name1" "setting name2"
	      Example: syscfg /d biossettings "Quiet Boot" "Post error Pause"	

           k.  Display BIOS group settings (Advanced option)

              /d biossettings group 

	      Format: syscfg /d biossettings group "group name" "setting name1" "setting name2" 
	      Example: syscfg /d biossettings group "Serial Port Configuration" "Serial A Enable"  
"Address" "IRQ"

          l.  Display BIOS individual settings (Advanced option)

              /d biossettings individual 

	      Format: syscfg /d biossettings individual "biossetting name1" 
              "biossetting name2"
	      Example: syscfg /d biossettings individual "Quiet Boot" 
              "Post error Pause"	


  	
       4.5 FW Configuration Commands
    
          4.5.1 USER
    
           a. User Configuration
    
              /user or /u
    
              Format: syscfg /user "user ID" "user name" "user password"
              Example: syscfg /user 3 "BobT" "gofps" 
    
           b. Enable User
    
              /userenable or /ue
    
              Format: syscfg /ue "user ID" "enable/disable user" 
					   "channel number"
              Example: syscfg /ue 1 disable 1
    
           c. User Privilege
    
              /userprivilege or /up
    
              Format: syscfg /up "user ID" "channel ID" "privilege level limit" 
                                 "payload enables"[Optional]
              Example: syscfg /up 1 1 ADMIN
    
          4.5.2 POWER
    
           a. Power Restore Policy
    
              /powerrestorepolicy or /prp
    
              Format: syscfg /prp "power restore policy"
              Example: syscfg /prp OFF
    
          4.5.3 Platform Event Filtering
    	   
           a. PEF Global Status
		
	      /pefconfig  or /pefc	 	

	      Format: syscfg /pefc "global PEF state" "global control"

	      Example: syscfg /pefc enable alert+pdown+reset+pcycle
	
           b. Alert filter
    
              /peffilter or /peff
    
              Format: syscfg /peff "filter table index" "filter state" 
						"action" "policy number" 
    	      Example: syscfg /peff 3 enable pdown 1 	
    
           c. Alert policy
              This command is not supported in PC87431M-based systems.           
    
              /pefpolicy or /pefp
    
              Format: syscfg /pefp "alert policy table index" "enable" 
                       "policy number" "policy behavior" "channel number" 
                       "destination table index"
              Example: syscfg /pefp 1 enable 3 ALWAYS 1 1 
          
          4.5.4 Serial Configuration
    
           a. Serial/Modem enable settings
    	 
    	      /serialEnable or /se
    
    	      Format: syscfg /se "channel ID" "Privilege Level Limit" 
                      "Connection Mode" "Baud Rate"
              Example: syscfg /se 4 admin direct 19200

    
          b. Terminal mode settings
    
    	      /termEnable or /te
    
    	      Format: syscfg /te "Channel Id" "Enable/Disable Line Edit" 
                       "Delete Control" "Enable/Disable Echo" 
                       "Enable/Disable Handshake" "Output Newline Sequence" 
                       "Input Newline Sequence"
              Example: syscfg /te 4 enable DEL enable enable lfcr cr
    
         c. Serial Page Enable
    
    	      /serialPageEnable or /spe
    
    	      Format: syscfg /spe "Channel ID" "Page Blackout Interval" 
    					"Community String"
              Example: syscfg /spe 4 3 “modem public?
    
        d. Serial Dial String
    
    	      /serialDialString or /sds
    
    	      Format: syscfg /sds "channel ID" "Dial String Index" 
    					"Dial String" 			
			  Example: syscfg /sds 4 1 95154884627
    
        e. Serial Page Configuration
    
      	      /serialPageConf or /spc
    
    	      Format: syscfg /spc "Channel ID" "Destination Selector" 
                       "Dial String Selector" "Stop Bits" "Data Bits" 
    				   "Parity" "Baud Rate"
              Example: syscfg /spc 4 2 4 2 8 none 19200
    
       f. Serial Configuration
    
    	     /serialConf or /sc
    
             Example: syscfg /sc "Channel ID" "Parameter Selector" "Value"

             The 'Parameter Selector' maps to the parameter selector of the 
             IPMI specs.
    
    	 Parameter selector		         Value
    	          2a			Authentication types for callback
    	          2b			Authentication types for user
    	          2c			Authentication types for operator
                        2d		Authentication types for admin
    	          3a			Enable/Disable Terminal mode
    	          3b			Connection Mode
    	           4			Inactivity Timeout
    	          6a			Enable/Disable close on DCD loss
                        6b		Enable/Disable Inactivity timeout
    	          7a			Baud Rate
    	          7b			Enable/Disable DTR Hang-up
    	          7c			Flow Control
    	          8a			Enable/Disable Mux switch on DCD loss
    	          8b			Enable/Disable Mux Baseboard to BMC switch
    	          8c			Enable/Disable Mux BMC to Baseboard switch
    	          8i			Enable/Disable Ping before Mux switch
    	          8j			Enable/Disable Ping
    	          8k			Enable/Disable Ping during callback
                        8l			Enable/Disable Connection mode sharing
    	         14			Page Blackout Interval in minutes
    	         15			Community String
    	         29d		Enable/Disable Terminal Line Edit
    	         29c		Terminal Delete Control
    	         29b		Enable/Disable Terminal Echo
                       29a		Enable/Disable Terminal Handshake
    	         29g		Terminal Output Newline Sequence
    	         29f 		Terminal Input Newline Sequence

	Example: syscfg /serialconf 4 2d none+straight+MD5
 	Example: syscfg /serialconf 4 2d ""

    
          4.5.5  LAN Configuration
               
               a. LAN Enable Configuration
    		
                  /lanenable or /le 
    
                  syscfg /le "LAN Channel ID" "IP Address Source" 
                  "Host IP Address" "Subnet Mask IP Address"
    
                  Example: syscfg /le 1 static 10.78.211.43 255.255.255.0
    
               b. LAN Alert Enable Configuration
    
                  /lanalertenable or /lae
    
                  syscfg /lae "LAN Channel ID" "Gateway IP Address" 
		"Gateway MAC Address" "Community String" 
		"Backup Gateway IP Address" "Backup Gateway MAC"
    
                  Example: syscfg /lae 1 101.78.78.251 00-30-FC-8F-90-BB “” 
			101.78.79.251  0F-34-32-AA-A8 -9B
		    syscfg /lae 1 101.78.78.251 resolve “” 
			101.78.79.251  resolve
        
    	  c. LAN Alert Configuration
    
                  /lanalertconf or /lac
    
                  syscfg /lac "LAN Channel ID" "Alert Destination Index" 
                  "Alert Destination IP Address" "Alert MAC Address"
                  "Backup Gateway Enable" "Alert Acknowledge Enable" 
                  "Alert Retry Count" "Alert Retry Interval"
	    "Alert Destination Type[SNMP or SMTP]"
                                  
                  Example: syscfg /lac  7  1  10.78.211.40  03-FE-EF-02-41-F3  
			disable  disable  0  0 SMTP
    
               d. LAN Configuration Parameters
    
                  /lanconf or /lc 
            
                  syscfg /lc "LAN Channel ID" "Parameter Selector" "Value"

		  The 'Parameter Selector' maps to the parameter selector of the 
		  IPMI specs.
    
                     Parameter                  Value
    		2a	Authentication types for callback
    		2b	Authentication types for user
    		2c	Authentication types for operator
    		2d	Authentication types for admin
                	 3	Host IP Address
                	 4	IP Address Source
                 	 6	Subnet Mask IP Address
                	10	Enable/Disable Gratuitous ARP Enable
                	10b	Enable/Disable BMC ARP response	 
                	11          Gratuitous ARP Interval in milliseconds
                	12          Gateway IP Address
                	13          Gateway MAC Address
                	14          Backup Gateway IP Address
                	15          Backup Gateway MAC Address
		16          Community String   

          Example: syscfg /lc 7 2 none+straight+md5
		  Example: syscfg /lc 7 2 ""
    
          4.5.6 Channel Configuration                 
    
                /channel or /c 

	  syscfg /c gives the channel display of the available session based 
	  channels on the system.
		
	 Example:
		   Channel ID   Type   Access Mode     Privilege Limit  Supported Features           
     		     1               LAN    Disabled            Admin            HTTP/S, Telnet     

    
                syscfg /c "Channel ID" "Parameter Selector" "Value"
    
	        Example:  syscfg /c 7 6 enable
		Example:  syscfg /c 1 1 ""
    
               	        Parameter                   Value
    			1            Authentication types for callback
    			2            Authentication types for user
    			3	Authentication types for operator
    			4	Authentication types for admin
    			5	Enable Per Message Authentication
           		              6	Enable User Level Authentication
	                            7	Access Mode for the channels
    			8 	Privilege Level Limit 		
    
          4.5.7 Serial Over LAN Configuration
     
                /solEnable or /sole
    
                syscfg /sole "Channel Number" "Enable/Disable SOL" 
                "Privilege Level Limit" "Baud Rate" "Retry Count" 
                "Retry Interval" 
    
                Example: syscfg /sole 1 enable admin 19200 0 10
          
          4.6 EFI SysCfg compatible switches

          4.6.1 LAN Configuration Setting Options (/lde, /lhi, /lsm, /lgi, /lgm)
          
             a. Configuring DHCP Enable status:
                DHCP enable or disable. This option can not be used in conjunction
                with the options for setting the IP, Subnet Mask, Gateway IP and 
                MAC addresses.  Note that “enable DHCP?means that the BMC gets 
                an IP address from the DHCP server.

                /lde
                syscfg /lde [value]

                Example: syscfg /lde 1 

             b. Configuring the BMC IP address:

                /lhi 
                syscfg /lde [IP Address]

				Examples: 
                 1. Configure the BMC IP address to "192.168.0.2"
                    syscfg /lhi 192.168.0.2

                 2. Restore from a binary file, then configure the BMC IP 
					address to "192.168.0.2"
                    syscfg /r mycfgfile.scf /lhi 192.168.0.2

             c. Configuring the Subnet Mask IP address:

                /lsm 
				syscfg /lsm [IP Address]

                Example:
                syscfg /lsm 255.255.255.0

             d. Configuring the Default Gateway IP address:

                /lgi 
                syscfg /lgi [IP Address]

                Example:
                syscfg /lgi 192.168.6.26

             e. Configuring the Default Gateway MAC address:

                /lgm 
                syscfg /lgm [MAC Address]

                Example:
                syscfg /lgm 0A-56-CF-06-11-02

          4.6.2 User Configuration Options (/un#, /up#, /ulcp#)

             a. Setting User Name:
                Assigns a user name for the user ID #, where # is an index
                to the user table. The user ID1 is anonymous with user name
                set to NULL. User names can be 1 to 16 bytes in length.
                
                /un# 
                syscfg /un# [user name]

                Example: Assign user name as "user" for the given user:
                syscfg /un2 user

             b. Setting User password:
                Sets or clears the password for the user with user ID #, 
                where # is an index to the user table.

                /up#
                syscfg /up# [password]

                Examples:
                1. Set the password for the given user as “t4x?
                   syscfg /up2 t4x

                2. Clear the password for the given user:
                   syscfg /up2

             c. Configuring User Privilege Level:
                Sets the LAN channel privilege level for the user with user ID #.
                The privilege levels can be set using the following (not case 
                sensitive) keywords:
                ?USER
                ?OPERATOR
                ?ADMIN

                /ulcp# 
                syscfg /ulcp# [privilege level]

                Examples:
                1. Set the LAN channel privilege level for the given user to 
					"OPERATOR":
                   syscfg /ulcp2 OPERATOR

                2. Set the LAN channel privilege level for the given user to 
					"USER":
                   syscfg /ulcp2 USER

                3. Set the LAN channel privilege level for the given user to 
					"ADMIN":
                   syscfg /ulcp2 ADMIN

	  4.7  Firmware Advanced Features Configuration Interface

	  4.7.1	SMTP Alerting Interface

	    a.	/emailAlertEnable or /eae
		syscfg /eae "sender name"

		Example: syscfg /eae elvis

                 b.	/emailAlertConfig or /eac
		syscfg /eac "index" "parameter number" "send address or receive address 
		or subject line"

		Example: syscfg /eac 1 1 server2@companyx.com

	    c.	/emailAlertMap or /eam
		syscfg /eam "channel ID" "lan alert destination index" "email alert index"

		Example: syscfg /eam 3 2 3

          4.7.2 Restore Firmware Settings (/rfs)

                The following options are used to restore the firmware settings. 
                This will set the factory default configuration of the BMC firmware.

	   /RestoreFirmwareSettings or /rfs
                 syscfg /rfs

                 Example: syscfg /rfs

         4.7.3  Reset BMC (/rbmc) 

                  The following options are used to reset the BMC.
	     /ResetBMC or /rbmc
                   syscfg /rbmc
         
                This command should be used standalone.
                Firmware may take few seconds to reset and come to a steady state. 
                So it is recommended not to issue any SYSCFG commands immediately after “Reset BMC? 
command.

                 Example: Syscfg /rbmc 


          4.8 BIOS Configuration Interface (/bap, /bup, /bcr, /bqb, 
				/bbo, /bldfs, /bpep, /bcs, /bht)

            a. Setting BIOS Administrator Password:
               This switch sets the BIOS administrator password. The 
               currently set password (old_password) must be specified to 
               change or to clear the password. If the password is null, 
               old_password should be specified as "" to signify a null 
               password. If no new password is given, the old_password is 
               verified against the current administrator password in the 
               system. To clear the password new_password must be specified 
               as "" to signify a null password.

               /bap						
               syscfg /bap "old_password" "new_password"

               Examples:
               1. Changes the BIOS administrator password from "admin" to 
				  "tt44".
                  syscfg /bap admin tt44

               2. The next example changes the BIOS admin password from null 
				  to "tt44".
                  syscfg /bap "" tt44

	 3. The next example verifies the password "admin" with the 
	     current BIOS admin password

	     syscfg /bap admin
	       
	 4. The next example clears the BIOS administrator password 
	     from "btu8".
                  syscfg /bap btu8 ""

            b. Setting BIOS User Password:
               This switch sets the user password. The currently set password 
               (old_password) and the (new_password) must be specified to 
               change the password. If the password is currently null, 
               old_password should be specified as "" to signify a null 
               password. To clear the password, (new_password) must be 
               specified as "" to signify a null password.

               /bup 
               syscfg /bup "old_password" "new_password"

               Example:

	   1. This example changes the BIOS user password to "Tf4r" to "bobT8":
                    syscfg /bup Tf4r bobT8

	   2. Following example clears BIOS user password from "bobT8"
	       syscfg /bup bobT8 ""		

            c. Configuring console redirection parameters:
               Sets various settings related to console redirection.
               The possible values for each argument are listed below:
               ?port :  disable, COM1, or COM2
               ?baud_rate:  9600, 19200, 38400, 57600 or 115200
               ?flow_control :  none or CTS
               ?terminal_type:  PCANSI, VT100, or VTUTF8

               /bcr 
               syscfg /bcr "port" "baud_rate" "flow_control" "terminal_type"

               Example:
               syscfg /bcr COM1 57600 CTS PCANSI

            d. Configuring Quiet Boot enable status.
               Determines whether the server boots using a quiet boot or not.
               Enable = quiet boot enabled.

               /bqb
               syscfg /bqb "enable or disable"

               Example:
               syscfg /bqb enable

            e. Displaying or Setting BIOS boot order.

               /bbo
               syscfg /bbo [dev 1] [dev 2] .. [dev n] 
               syscfg /bbo 

               Examples:
               1. Displays the current BIOS boot order as a numbered list, 
                  with the first boot device appearing first in the list:
               
                  syscfg /bbo

               2. Sets the BIOS boot order so that the current second 
                  boot device is now the first boot device:

                  syscfg /bbo 2 1 3 4 5


            f. Loading the factory default settings

               /bldfs
	 syscfg /bldfs 

           g. Enabling or Disabling POST error pause
     
              /bpep
	syscfg /bpep enable
	syscfg /bpep disable

               
           h. Set any configurable BIOS settings

               /bcs
               syscfg /bcs "Setting Name" [Value] 

               Examples:
               1. Displays the current BIOS Setting
               
                  syscfg /d biossettings "Quiet Boot"

               2. Sets the BIOS Setting value to 0000(Disable)

                  syscfg /bcs "Quiet Boot" 0000

            i. Set any configurable BIOS Group settings

               /bcs
               syscfg /bcs "Group Name" "setting Name1" [Value1] "setting Name2" [Value2]

               Examples:
               1. Displays the current group BIOS Setting
               
                  syscfg /d biossettings group "Serial Port Configuration" "Serial A Enable" "Address" "IRQ"

               2. Sets the BIOS group setting values

                  syscfg /bcs "Serial Port Configuration" "Serial A Enable" 0001 "Address" 1016 "IRQ" 0004

                  0001--Enables Serial A

                  1016--Sets Address of Serial A to 3F8
  
                  0004--Sets IRQ of Serial A to 4.

          j. Enable or disable hyper-threading.

            /bht
            syscfg /bht enable
            syscfg /bht disable

                

        4.9  Quiet Mode- No Display 

             For discrete use of the utility in purely encrypted mode where no output
             is expected in the command prompt, switch ?q?or ?q?could be used in conjunction 
             with all other switches. However this switch must always come at the end. 

             Example:

             C:\syscfg /s /f /q

             In the above example using of ?q?switch would suppress the message
             “Configuration file saved successfully?from displaying.


D. KNOWN ISSUES

   1. System returns error message after executing syscfg BIOS commands for 
      more than 20 times. Clear the NVRAM and restart the machine. 
      Refer External# 22021.

   2. 'bbo', help and display commands should be used standalone.

   3. BIOS will override EFI Shell boot options to first or last device if EFI Shell boot option is 
      set in any other position with the /bbo switch.

   4. Save and restore across different OS is not supported.

   5. SYSCFG help page will exit for any of the arrow keys.
 
   6. '/bht' command is not supported in s7000 series platform.

   7. SYSCFG is not supported on VT Enable Kernel or OS.  

   8. Setting time and Date using "/dt" is not supported in DOS 6.22.

   9. PEF configuration, Serial configuration and Firmware Advanced configuration features are not  
supported on S3200 and X38MLST platform series.

   10. In DOS and WinPE when help is viewed using "syscfg /h", at the end of help, the prompt color  
changes to green. This scenario is not seen when help is interupted in between. 

   11. When the save operation is performed on an existing file with the quite mode switch '-q', the file  
 
is overwritten without prompting the user.

   12. The help screen is masked when the '-q' switch is used. The utility exits after skipping a page.

   13. The settings under server management are saved in BMC. For some of the settings under server  
management, after a reboot the values from BMC will override the values set through "bcs" switch".  
The following settings will be overwritten for S3200/S5400/S7000 series of platforms. 
		1. Resume on AC Power Loss
		2. FRB-2 Enable
		3. Clear System event log.

   14. On S3200 platform series the “Memory configuration?settings are not supported.

   15. After executing SysCfg command on EFI on S3200 platform series using a USB keyboard hangs  
the system. This is root caused as BIOS issue.

   16. After executing SysCfg commands on EFI shell and typing exit hangs the system on S3200  
platform series.  This is root caused as a BIOS issue. How ever the same scenario works fine when the  
 
following BIOS settings are set.
BIOS settings under “Server Management"
	Assert NMI SERR is enabled 
	Assert NMI PERR is disabled 
	Console redirection enabled to Serial A 

 17. Disabling BMC-generated ARP responses is not supported on S3200 and X38MLST platform series.

 18. Gratuitous ARPs are not supported on S3200 and X38MLST platform series.

 19. Restoring of BMC Host IP Address is not supported on S5000, S5400, S3000, S3200, X38MLST      
 
  and S7000 platform series.

 20. Gratuitous ARP interval value cannot be set on S3200 and X38MLST platform series.

 21. Setting time and Date using "/dt" is not supported in WinPE (OS limitation).

 22. On SUSE10 after reboot the utility needs to reinstall since SMI driver gets uninstalled after reboot.

 
	
   
E. OTHER NOTES
    
	
* Third-party brands and names are the property of their respective owners. 

============================================================== 
=============

                               LEGAL INFORMATION

============================================================== 
=============

Information in this document is provided in connection with Intel Products

and for the purpose of supporting Intel developed server boards and systems.

No license, express or implied, by estoppel or otherwise, to any intellectual 

property rights is granted by this document. Except as provided in Intel's 

Terms and Conditions of Sale for such products, Intel assumes no liability 

whatsoever, and Intel disclaims any express or implied warranty, relating to 

sale and/or use of Intel products including liability or warranties relating 

to fitness for a particular purpose, merchantability, or infringement of any 

patent, copyright or other intellectual property right. Intel Corporation may 

have patents or pending patent applications, trademarks, copyrights, or other 

intellectual property rights that relate to the presented subject matter.  

The furnishing of documents and other materials and information does not 

provide any license, express or implied, by estoppel or otherwise, to any 

such patents, trademarks, copyrights, or other intellectual property rights.  

Intel products are not intended for use in medical, life saving, or life 

sustaining applications. Intel may make changes to specifications and product 

descriptions at any time, without notice.

 

Intel is a registered trademark of Intel Corporation. 

 

*Other names and brands are the property of their respective owners.

 

Copyright (c) 2007 Intel Corporation.



(end)
